package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Gyeepermission;
import com.gyee.frame.model.auto.GyeepermissionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  GyeepermissionMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-16 14:55:15
 */
public interface GyeepermissionMapper {
      	   	      	      	      	      	      	      	      	      
    long countByExample(GyeepermissionExample example);

    int deleteByExample(GyeepermissionExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Gyeepermission record);

    int insertSelective(Gyeepermission record);

    List<Gyeepermission> selectByExample(GyeepermissionExample example);
		
    Gyeepermission selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Gyeepermission record, @Param("example") GyeepermissionExample example);

    int updateByExample(@Param("record") Gyeepermission record, @Param("example") GyeepermissionExample example); 
		
    int updateByPrimaryKeySelective(Gyeepermission record);

    int updateByPrimaryKey(Gyeepermission record);
    
    List<Gyeepermission> queryPermissionByRoleId(String userid);
  	  	
}